org.h2.security.auth

## Class UserToRolesMapperConfig

- java.lang.Object
- - org.h2.security.auth.UserToRolesMapperConfig

All Implemented Interfaces:
  HasConfigProperties

    public class UserToRolesMapperConfig
    extends java.lang.Object
    implements HasConfigProperties

Configuration for class that maps users to their roles.

See Also:
  `UserToRolesMapper`

### Constructor Summary

Constructors
Constructor and Description
`UserToRolesMapperConfig()`

### Method Summary

Methods
`java.lang.String` `getClassName()`
`java.util.List<PropertyConfig>` `getProperties()`
`void` `setClassName(java.lang.String className)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### UserToRolesMapperConfig

    public UserToRolesMapperConfig()

### Method Detail

#### getClassName

    public java.lang.String getClassName()

Returns:
  Mapper class name.

#### setClassName

    public void setClassName(java.lang.String className)

Parameters:
  `className` - mapper class name.

#### getProperties

    public java.util.List<PropertyConfig> getProperties()

Specified by:
  `getProperties` in interface `HasConfigProperties`
Returns:
  Mapper properties.